Summary: manual page reader (with bzip2 support)
Name: man
Icon: books.gif
Version: 1.5a
Release: 6
Copyright: GPL
Group: Utilities/System
Source0: ftp://sunsite.unc.edu/pub/Linux/apps/doctools/man-1.5a.tar.gz
Source1: makewhatis.cron
Patch0: man-1.5a-manconf.diff
Patch1: man2html-makefile.diff
Patch2: man-1.5a-conf.bzip2.diff
Patch3: man-1.5a-conf.gzip.diff
Patch4: man-1.5a-getline.diff
Patch5: man-1.5a-manpath.diff
# the comments seem not to work in the mess.* files
Patch6: man-1.5a-mess.es.diff
# japanese patches
Patch7: man-1.5a-ja.diff
Patch8: man-1.5a-jrpm.patch
BuildRoot: /tmp/man-root
Requires: groff

%description
The man page suite, including man, apropos, and whatis.  These
programs are used to read most of the documentation available
on a Linux system.  The whatis and apropos programs can be used
to find documentation related to a particular subject.
Starting from version 1.5, the man distribution contains also a 
man2html utility, which is a nroff -> HTML converter that can 
act as a CGI script as well as a command line utility.
This release has configuration tweaked to support the bzip2
compression utility.

%changelog

* Sat May 30 1998 Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>

- removed some man pages that conflict whith man-pages-{it,ja} packages
- added LANGUAGE variable support

* Fri Mar 13 1998 Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>

- removed bzip2 as default compressor; on small files (like manpages
  are) it doesn't make smaller than gzip compressed files; the supplementary
  memory and time required by bzip2 isn't worth in that case. 
- added japanese patches
- removed answer.*, that is too tedious, it changes at any patch; better
  directly patching the right values in.
- changed catopen.c so it uses my_catopenpath(); so a value of
  NLSPATH=/usr/share/locale/%l/%N can work (it seems the libc catopen doesn't
  work as expected)

* Tue Mar 10 1998 Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>

- added icon
- changed the answer.* files to install the various language man pages
- added a patche for glibc (getline exists in glibc, whith other parameters
  types; so renamed to my_getline in the sources)
- changed manpath.c so it will also search in /usr/man/ja/ even if 
  LANG is set to ja_JP.ujis; that solves a lot of problems whith LANG variable
  not corresponding whith directory.
  To solve a similar problem whith catalog messages use 
  NLSPATH=/usr/share/locale/%l/%N instead of NLSPATH=/usr/share/locale/%L/%N
  in /etc/profile/man.sh
- removed some man pages that conflict whith man-pages-{fr,de} packages

* Mon Feb 02 1998 Marek Habersack <grendel@hoth.amu.edu.pl>

- upgraded to version 1.5a
- removed unnecessary patches
- added bzip2 support (bzip2 becomes the default [de]compressor
  when found)
- using the -ask configure mode with pre-made answers files

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>

- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- Added /usr/lib/perl5/man to default manpath

%prep
%setup
%patch0 -p0 -b .manconf
%patch1 -p0 -b .man2html
%patch4 -p1 -b .getline
%patch5 -p1 -b .manpath
%patch6 -p1 -b .mess_es
%patch7 -p1 -b .ja_orig
%patch8 -p1 -b .jrpm

%build
./configure +fsstnd +lang all +sgid

make CC="gcc $RPM_OPT_FLAGS -D_GNU_SOURCE" RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/man
install -d -m 755 $RPM_BUILD_ROOT/etc/{cron.weekly,profile.d}

make install BINROOTDIR="$RPM_BUILD_ROOT"
chmod 755 $RPM_BUILD_ROOT/usr/sbin/makewhatis
chown -R root.man $RPM_BUILD_ROOT/usr/bin/man
chmod 2755 $RPM_BUILD_ROOT/usr/bin/man

install -m755 $RPM_SOURCE_DIR/makewhatis.cron $RPM_BUILD_ROOT/etc/cron.weekly

(cd man2html; make install-man-scripts install-glimpse-stuff install-hman BINROOTDIR=$RPM_BUILD_ROOT)

install -d -m 755 $RPM_BUILD_ROOT/var/catman
chown root.man $RPM_BUILD_ROOT/var/catman
chmod 775 $RPM_BUILD_ROOT/var/catman
install -d -m 755 $RPM_BUILD_ROOT/var/catman/local
chown root.man $RPM_BUILD_ROOT/var/catman/local
chmod 775 $RPM_BUILD_ROOT/var/catman/local
install -d -m 755 $RPM_BUILD_ROOT/var/catman/X11
chown root.man $RPM_BUILD_ROOT/var/catman/X11
chmod 775 $RPM_BUILD_ROOT/var/catman/X11
for i in 1 2 3 4 5 6 7 8 9 n; do
	install -d -m 755 $RPM_BUILD_ROOT/var/catman/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/cat$i
	install -d -m 755 $RPM_BUILD_ROOT/var/catman/local/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/local/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/local/cat$i
	install -d -m 755 $RPM_BUILD_ROOT/var/catman/X11/cat$i
	chown root.man $RPM_BUILD_ROOT/var/catman/X11/cat$i
	chmod 775 $RPM_BUILD_ROOT/var/catman/X11/cat$i
done

strip $RPM_BUILD_ROOT/usr/bin/man
strip $RPM_BUILD_ROOT/usr/bin/man2html

# cz is the code of the country (Czech republic) not of the language (czech=cs)
# so using "cz" is wrong. cs_CZ is the correct form, or cs for short.
mv $RPM_BUILD_ROOT/usr/man/cz $RPM_BUILD_ROOT/usr/man/cs
mv $RPM_BUILD_ROOT/usr/share/locale/cz $RPM_BUILD_ROOT/usr/share/locale/cs

# conflicts whith man pages from man-pages-de
rm $RPM_BUILD_ROOT/usr/man/de/man1/{man,apropos,whatis}.1

# conflicts whith man pages from man-pages-fr
rm $RPM_BUILD_ROOT/usr/man/fr/man1/{apropos,whatis}.1

# conflicts whith man pages from man-pages-ja
rm $RPM_BUILD_ROOT/usr/man/ja/man1/{man,apropos,whatis}.1
rm $RPM_BUILD_ROOT/usr/man/ja/man5/man.conf.5

# conflicts with man pages from man-pages-it
rm $RPM_BUILD_ROOT/usr/man/it/man1/{man,apropos,whatis}.1

cat > $RPM_BUILD_ROOT/etc/profile.d/man.sh << EOF
#!/bin/sh

export NLSPATH=/usr/share/locale/%l/%N
export MANPATH=/usr/man:/usr/local/man:/usr/X11R6/man:/usr/man/preformat
if [ "$DISPLAY" != "" ]; then
	if hash netscape.sh ; then
		export MANHTMLPAGER=netscape.sh
	elif hash netscape ; then
		export MANHTMLPAGER=netscape
	elif hash arena ; then
		export MANHTMLPAGER=arena
	elif hash amaya ; then
		export MANHTMLPAGER=amaya
	else
		export MANHTMLPAGER=lynx
	fi
else
	export MANHTMLPAGER=lynx
fi
EOF
chmod 755 $RPM_BUILD_ROOT/etc/profile.d/man.sh

# compress the man pages
gzip -9nf $RPM_BUILD_ROOT/usr/man/man?/*
gzip -9nf $RPM_BUILD_ROOT/usr/man/*/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/cron.weekly/makewhatis.cron
/usr/bin/man
/usr/bin/man2html
/usr/bin/apropos
/usr/bin/whatis
/usr/bin/hman
/usr/sbin/makewhatis
/home/httpd/cgi-bin/man/*
/home/httpd/aux/man/*
%dir /var/man2html
/var/man2html/.glimpse_filters
%config /etc/man.conf
%config /etc/profile.d/man.sh
/usr/man/man5/man.conf.5.gz
/usr/man/man1/whatis.1.gz
/usr/man/man1/man.1.gz
/usr/man/man1/apropos.1.gz
/usr/man/man1/man2html.1.gz
/usr/man/man1/hman.1.gz
/usr/man/*/man?/*
/usr/share/locale/*/man

%doc README README.HP COPYING misc/

%dir /var/catman
%dir /var/catman/cat1
%dir /var/catman/cat2
%dir /var/catman/cat3
%dir /var/catman/cat4
%dir /var/catman/cat5
%dir /var/catman/cat6
%dir /var/catman/cat7
%dir /var/catman/cat8
%dir /var/catman/cat9
%dir /var/catman/catn
%dir /var/catman/local
%dir /var/catman/local/cat1
%dir /var/catman/local/cat2
%dir /var/catman/local/cat3
%dir /var/catman/local/cat4
%dir /var/catman/local/cat5
%dir /var/catman/local/cat6
%dir /var/catman/local/cat7
%dir /var/catman/local/cat8
%dir /var/catman/local/cat9
%dir /var/catman/local/catn
%dir /var/catman/X11
%dir /var/catman/X11/cat1
%dir /var/catman/X11/cat2
%dir /var/catman/X11/cat3
%dir /var/catman/X11/cat4
%dir /var/catman/X11/cat5
%dir /var/catman/X11/cat6
%dir /var/catman/X11/cat7
%dir /var/catman/X11/cat8
%dir /var/catman/X11/cat9
%dir /var/catman/X11/catn
